#standard equipment type config file
#    
#     SM-DU Unit
#
#     Constraint to the Solution config file:
#               Relevant Sampler List: SM-DU
#               Relevant Equipment List: 
#     Note that the shunt size setting and related over and overover curent alarms for each are added by Jimmy for CR 2011/06/24


#1. Equipment basic information
[EQUIPMENT_TYPE_INFO]
#Type ID    Group Type Flag	Type Name		Type Name Resource ID
1008	    0			SM-DU Unit		51

#2. Define signals of this standard equipment
#2.1 Define the Sampling Signals
[SAMPLING_SIGNAL_NUM]
41

[SAMPLING_SIGNAL_INFO]
#note:if you want to change the sig name, please change the name difined in the relevant resource file synchronously
#SigID	SigName				SigNameResourceID	SigUnit	IdxOfSamplerList	SamplerChannelID	SigValueType	StoringThreshold	StoringInterval	EvaluationExpression	ValueRange				ValueDisplayAttribute	ValueDisplayLevel	Value Display ID	Value Display Format	Disp Exp
1	Bus Bar Voltage			1			V	1			6505			F		NA			NA		NA			NA					W/L			NA			1			.1			NA
2	Load1 Current			2			A	1			6501			F		NA			NA		NA			NA					W/L			NA			2			.1			[0,2,16]==2
3	Load2 Current			3			A	1			6502			F		NA			NA		NA			NA					W/L			NA			3			.1			[0,2,17]==2
4	Load3 Current			4			A	1			6503			F		NA			NA		NA			NA					W/L			NA			4			.1			[0,2,18]==2
5	Load4 Current			5			A	1			6504			F		NA			NA		NA			NA					W/L			NA			5			.1			[0,2,19]==2
#6	Total Run Time in hour		22			NA	1			6517			E		NA			NA		NA			[ID31=Normal]/[ID32=Error]		W/L			NA			22			NA			NA		
7	All Load Current		66			A	1			6561			F		NA			NA		NA			NA					W/L			NA			31			.1			NA
92	Version No.			110			NA	1			6525			U		NA			NA		NA			NA					NA			NA			27			NA			NA
93	Serial No. High			110			NA	1			6519			U		NA			NA		NA			NA					NA			NA			27			NA			NA
94	Serial No. Low			110			NA	1			6520			U		NA			NA		NA			NA					NA			NA			27			NA			NA
95	Bar Code 1			110			NA	1			6521			U		NA			NA		NA			NA					NA			NA			27			NA			NA
96	Bar Code 2			110			NA	1			6522			U		NA			NA		NA			NA					NA			NA			27			NA			NA
97	Bar Code 3			110			NA	1			6523			U		NA			NA		NA			NA					NA			NA			27			NA			NA
98	Bar Code 4			110			NA	1			6524			U		NA			NA		NA			NA					NA			NA			27			NA			NA
15	Bus Voltage Status		119			V	1			6544			U		NA			NA		NA			NA					NA			NA			28			NA			NA
17	Load5 Current			124			A	1			6506			F		NA			NA		NA			NA					W/L			NA			5			.1			[1,0,97]==2&[0,2,20]==2

20	Shunt Size Switch		281			NA	1			6574			E		NA			NA		NA			[ID290=Software]/[ID291=Dip Switch]/[ID292=No Support]	W/L			NA			5			NA			NA

21	Shunt1 Size Confilicting	283			NA	1			6575			E		NA			NA		NA			[ID31=Normal]/[ID32=Error]		NA			NA			5			NA			NA
22	Shunt2 Size Confilicting	284			NA	1			6576			E		NA			NA		NA			[ID31=Normal]/[ID32=Error]		NA			NA			5			NA			NA
23	Shunt3 Size Confilicting	285			NA	1			6577			E		NA			NA		NA			[ID31=Normal]/[ID32=Error]		NA			NA			5			NA			NA
24	Shunt4 Size Confilicting	286			NA	1			6578			E		NA			NA		NA			[ID31=Normal]/[ID32=Error]		NA			NA			5			NA			NA
25	Shunt5 Size Confilicting	287			NA	1			6579			E		NA			NA		NA			[ID31=Normal]/[ID32=Error]		NA			NA			5			NA			NA
 #added by Jimmy for ESNA SMDU-EIB Shunt Setting CR 2013.07.06
26	Shunt1 Reading			302			A	-1			-3			F		NA			NA		NA			NA					W/L			NA			1			.1			([1,2,452]==1)&[0,2,16]==1
27	Shunt2 Reading			303			A	-1			-3			F		NA			NA		NA			NA					W/L			NA			1			.1			([1,2,452]==1)&[0,2,17]==1
28	Shunt3 Reading			304			A	-1			-3			F		NA			NA		NA			NA					W/L			NA			1			.1			([1,2,452]==1)&[0,2,18]==1
29	Shunt4 Reading			305			A	-1			-3			F		NA			NA		NA			NA					W/L			NA			1			.1			([1,2,452]==1)&[0,2,19]==1
30	Shunt5 Reading			306			A	-1			-3			F		NA			NA		NA			NA					W/L			NA			1			.1			([1,2,452]==1)&[0,2,20]==1

#add by ZhaoZicheng for Consumption map CR
32	Load1 Alarm Flag		307			NA	-1			-3			U		NA			NA		NA			NA					NA			NA			6			NA			NA
33	Load2 Alarm Flag		308			NA	-1			-3			U		NA			NA		NA			NA					NA			NA			6			NA			NA
34	Load3 Alarm Flag		309			NA	-1			-3			U		NA			NA		NA			NA					NA			NA			6			NA			NA
35	Load4 Alarm Flag		310			NA	-1			-3			U		NA			NA		NA			NA					NA			NA			6			NA			NA
47	Load5 Alarm Flag		311			NA	-1			-3			U		NA			NA		NA			NA					NA			NA			6			NA			NA


99	Interrupt State			95			NA	1			6556			E		NA			NA		NA			[ID120=OK]/[ID121=AllNoResponse]/[ID122=NoResponse]	NA	NA			39			NA			NA
100	Existence State			117			NA	1			6555			E		NA			NA		NA			[ID96=Existent]/[ID97=Not Existent]	NA			NA			39			NA			NA

500	Shunt1 Reading			302			A	1			6566			F		NA			NA		NA			NA					NA			NA			1			.1			NA
501	Shunt2 Reading			303			A	1			6567			F		NA			NA		NA			NA					NA			NA			1			.1			NA
502	Shunt3 Reading			304			A	1			6568			F		NA			NA		NA			NA					NA			NA			1			.1			NA
503	Shunt4 Reading			305			A	1			6569			F		NA			NA		NA			NA					NA			NA			1			.1			NA
504	Shunt5 Reading			306			A	1			6570			F		NA			NA		NA			NA					NA			NA			1			.1			NA


#2.2 Define the Control Signals
[CTRL_SIGNAL_NUM]
0

[CTRL_SIGNAL_INFO]
#Sig ID		Sig Name				Sig Name Resource ID	Sig Unit	Index of Sampler List		Sampler Channel ID	Sig Value Type		Value Range		Value Display Attribute		Value Control Attribute		Controlable Expression		Authority Level		Value Display ID	Value Display Format	Control Channel ID	Control Step	Control Param	Control Expression	On Control Action	Disp Exp


#2.3 Define the Setting Signals  
[SETTING_SIGNAL_NUM]
2

[SETTING_SIGNAL_INFO]
#SigID	SigName					SigNameResourceID	SigUnit		IdxOfSamplerList	SamplerChannelID	SigValueType	DefaultValue	ValueRange	ValueDisplayAttribute	ValueSettingAttribute	SettableExpression	AuthorityLevel		ValueDisplayID	ValueDisplayFormat	ControlChannelID	SettingStep	ControlExpression	PersistenceFalg	OnControlAction	DispExp
1	Current1 Breaker Size			270			A		-1			-3			F		200		10/5000		W			W			NA			E			2			.0		-3			1		NA			1			NA			NA
2	Current1 High Current Limit		220			%		-1			-3			F		75		1/100		W			W			[0,2,2]<=[0,2,3]	O			2			.0		-3			1		NA			1			NA			NA
3	Current1 Very High Current Limit	221			%		-1			-3			F		80		1/100		W			W			[0,2,3]>=[0,2,2]	O			2			.0		-3			1		NA			1			NA			NA
4	Current2 Breaker Size			271			A		-1			-3			F		200		10/5000		W			W			NA			E			2			.0		-3			1		NA			1			NA			NA
5	Current2 High Current Limit		222			%		-1			-3			F		75		1/100		W			W			[0,2,5]<=[0,2,6]	O			2			.0		-3			1		NA			1			NA			NA
6	Current2 Very High Current Limit	223			%		-1			-3			F		80		1/100		W			W			[0,2,6]>=[0,2,5]	O			2			.0		-3			1		NA			1			NA			NA
7	Current3 Breaker Size			272			A		-1			-3			F		200		10/5000		W			W			NA			E			2			.0		-3			1		NA			1			NA			NA
8	Current3 High Current Limit		224			%		-1			-3			F		75		1/100		W			W			[0,2,8]<=[0,2,9]	O			2			.0		-3			1		NA			1			NA			NA
9	Current3 Very High Current Limit	225			%		-1			-3			F		80		1/100		W			W			[0,2,9]>=[0,2,8]	O			2			.0		-3			1		NA			1			NA			NA
10	Current4 Breaker Size			273			A		-1			-3			F		200		10/5000		W			W			NA			E			2			.0		-3			1		NA			1			NA			NA
11	Current4 High Current Limit		226			%		-1			-3			F		75		1/100		W			W			[0,2,11]<=[0,2,12]	O			2			.0		-3			1		NA			1			NA			NA
12	Current4 Very High Current Limit	227			%		-1			-3			F		80		1/100		W			W			[0,2,12]>=[0,2,11]	O			2			.0		-3			1		NA			1			NA			NA
13	Current5 Breaker Size			274			A		-1			-3			F		200		10/5000		W			W			NA			E			2			.0		-3			1		NA			1			NA			[1,0,97]==2
14	Current5 High Current Limit		228			%		-1			-3			F		75		1/100		W			W			[0,2,14]<=[0,2,15]	O			2			.0		-3			1		NA			1			NA			[1,0,97]==2
15	Current5 Very High Current Limit	229			%		-1			-3			F		80		1/100		W			W			[0,2,15]>=[0,2,14]	O			2			.0		-3			1		NA			1			NA			[1,0,97]==2
 #added by Jimmy for ESNA SMDU-EIB Shunt Setting CR 2013.07.06
16		Shunt1 Set As				297		NA		-1			-3			E		0		[ID293=NotUsed]/[ID294=General]/[ID295=Load]/[ID296=Battery]			W/L			W/L			NA			E			3		NA			-3			1		NA			1		NA		[1,2,452]==1
17		Shunt2 Set As				298		NA		-1			-3			E		0		[ID293=NotUsed]/[ID294=General]/[ID295=Load]/[ID296=Battery]			W/L			W/L			NA			E			3		NA			-3			1		NA			1		NA		[1,2,452]==1
18		Shunt3 Set As				299		NA		-1			-3			E		0		[ID293=NotUsed]/[ID294=General]/[ID295=Load]/[ID296=Battery]			W/L			W/L			NA			E			3		NA			-3			1		NA			1		NA		[1,2,452]==1
19		Shunt4 Set As				300		NA		-1			-3			E		0		[ID293=NotUsed]/[ID294=General]/[ID295=Load]/[ID296=Battery]			W/L			W/L			NA			E			3		NA			-3			1		NA			1		NA		[1,2,452]==1
20		Shunt5 Set As				301		NA		-1			-3			E		0		[ID293=NotUsed]/[ID294=General]/[ID295=Load]/[ID296=Battery]			W/L			W/L			NA			E			3		NA			-3			1		NA			1		NA		[1,2,452]==1 & [1,0,97]==2

21		Shunt1 Voltage				125		mV		1			-3			F		75		25/75		W/L			W/L			NA		E			1		.0			-3			1		NA			1		NA		[0,0,20] < 1
22		Shunt1 Current 				126		A		1			-3			F		500		100/5000	W/L			W/L			NA		E			1		.0			-3			1		NA			1		NA		[0,0,20] < 1
23		Shunt2 Voltage 				127		mV		1			-3			F		75		25/75		W/L			W/L			NA		E			1		.0			-3			1		NA			1		NA		[0,0,20] < 1
24		Shunt2 Current 				128		A		1			-3			F		500		100/5000	W/L			W/L			NA		E			1		.0			-3			1		NA			1		NA		[0,0,20] < 1
25		Shunt3 Voltage 				129		mV		1			-3			F		75		25/75		W/L			W/L			NA		E			1		.0			-3			1		NA			1		NA		[0,0,20] < 1
26		Shunt3 Current 				130		A		1			-3			F		500		100/5000	W/L			W/L			NA		E			1		.0			-3			1		NA			1		NA		[0,0,20] < 1
27		Shunt4 Voltage 				131		mV		1			-3			F		75		25/75		W/L			W/L			NA		E			1		.0			-3			1		NA			1		NA		[0,0,20] < 1
28		Shunt4 Current 				132		A		1			-3			F		500		100/5000	W/L			W/L			NA		E			1		.0			-3			1		NA			1		NA		[0,0,20] < 1
29		Shunt5 Voltage 				133		mV		1			-3			F		75		25/75		W/L			W/L			NA		E			1		.0			-3			1		NA			1		NA		[0,0,20] < 1 & [1,0,97]==2
30		Shunt5 Current 				134		A		1			-3			F		500		100/5000	W/L			W/L			NA		E			1		.0			-3			1		NA			1		NA		[0,0,20] < 1 & [1,0,97]==2

#2.4 Define the Alarm Singals
[ALARM_NUM]
1

[ALARM_INFO]
#alarm level: OA MA CA
#AlmID	AlmName				AlmNameResourceID	AlmLevel	AlmExpression						AlarmDelay	SuppressingExpression		RelayID
2	Low Voltage			85			OA		[0,0,15]==1						NA		NA				NA
3	High Voltage			86			OA		[0,0,15]==2						NA		NA				NA
4	Communication Interrupt		118			MA		[0,0,99]>0&((([1,0,49]==0)&([1,2,183]==0))|([1,2,183]==1))		NA		[1,3,2]		NA

12	Current1 High Current Alarm		170		MA		[0,0,2]> ([0,2,2]/100)*[0,2,1] | ([0,3,12] & [0,0,2] > ([0,2,2]/100-0.02)*[0,2,1]) | [0,0,32] == 2		NA			[0,3,13]|[0,3,4]		NA
13	Current1 Very High Current Alarm	171		MA		[0,0,2]> ([0,2,3]/100)*[0,2,1] | ([0,3,13] & [0,0,2] > ([0,2,3]/100-0.02)*[0,2,1]) | [0,0,32] == 3		NA			[0,3,4]				NA
14	Current2 High Current Alarm		172		MA		[0,0,3]> ([0,2,5]/100)*[0,2,4] | ([0,3,14] & [0,0,3] > ([0,2,5]/100-0.02)*[0,2,4]) | [0,0,33] == 2		NA			[0,3,15]|[0,3,4]	 	NA
15	Current2 Very High Current Alarm	173		MA		[0,0,3]> ([0,2,6]/100)*[0,2,4] | ([0,3,15] & [0,0,3] > ([0,2,6]/100-0.02)*[0,2,4]) | [0,0,33] == 3		NA			[0,3,4]				NA
16	Current3 High Current Alarm		174		MA		[0,0,4]> ([0,2,8]/100)*[0,2,7] | ([0,3,16] & [0,0,4] > ([0,2,8]/100-0.02)*[0,2,7]) | [0,0,34] == 2		NA			[0,3,17]|[0,3,4]		NA
17	Current3 Very High Current Alarm	175		MA		[0,0,4]> ([0,2,9]/100)*[0,2,7] | ([0,3,17] & [0,0,4] > ([0,2,9]/100-0.02)*[0,2,7]) | [0,0,34] == 3		NA			[0,3,4]				NA
18	Current4 High Current Alarm		176		MA		[0,0,5]> ([0,2,11]/100)*[0,2,10] | ([0,3,18] & [0,0,5] > ([0,2,11]/100-0.02)*[0,2,10]) | [0,0,35] == 2		NA			[0,3,19]|[0,3,4] 		NA
19	Current4 Very High Current Alarm	177		MA		[0,0,5]> ([0,2,12]/100)*[0,2,10] | ([0,3,19] & [0,0,5] > ([0,2,12]/100-0.02)*[0,2,10]) | [0,0,35] == 3		NA			[0,3,4]				NA
20	Current5 High Current Alarm		178		MA		[0,0,17] > ([0,2,14]/100)*[0,2,13] | ([0,3,20] & [0,0,17] > ([0,2,14]/100-0.02)*[0,2,13]) | [0,0,47] == 2		NA		[0,3,21]|[0,3,4]	 	NA
21	Current5 Very High Current Alarm	179		MA		[0,0,17] > ([0,2,15]/100)*[0,2,13] | ([0,3,21] & [0,0,17] > ([0,2,15]/100-0.02)*[0,2,13]) | [0,0,47] == 3		NA		[0,3,4]				NA

22	Shunt1 Size Confilicting		283		OA		[0,0,21]==1 & [0,0,20]==0						NA		[0,3,4]			NA
23	Shunt2 Size Confilicting		284		OA		[0,0,22]==1 & [0,0,20]==0						NA		[0,3,4]			NA
24	Shunt3 Size Confilicting		285		OA		[0,0,23]==1 & [0,0,20]==0						NA		[0,3,4]			NA
25	Shunt4 Size Confilicting		286		OA		[0,0,24]==1 & [0,0,20]==0						NA		[0,3,4]			NA
26	Shunt5 Size Confilicting		287		OA		[0,0,25]==1 & [0,0,20]==0 & [1,0,97]==2					NA		[0,3,4]			NA

500	Current1 Hi 1 Curr Alm			500		MA		([0,2,16]> 0 & ([0,0,500]> ([0,2,2]/100)*[0,2,1] | ([0,3,500] & [0,0,500] > ([0,2,2]/100-0.02)*[0,2,1])))								NA	[0,3,4]	NA
501	Current1 Hi 2 Curr Alm			501		MA		([0,2,16]> 0 & ([0,0,500]> ([0,2,3]/100)*[0,2,1] | ([0,3,501] & [0,0,500] > ([0,2,3]/100-0.02)*[0,2,1])))								NA	[0,3,4]	NA
502	Current2 Hi 1 Curr Alm			502		MA		([0,2,17]> 0 & ([0,0,501]> ([0,2,5]/100)*[0,2,4] | ([0,3,502] & [0,0,501] > ([0,2,5]/100-0.02)*[0,2,4])))								NA	[0,3,4]	NA
503	Current2 Hi 2 Curr Alm			503		MA		([0,2,17]> 0 & ([0,0,501]> ([0,2,6]/100)*[0,2,4] | ([0,3,503] & [0,0,501] > ([0,2,6]/100-0.02)*[0,2,4])))								NA	[0,3,4]	NA
504	Current3 Hi 1 Curr Alm			504		MA		([0,2,18]> 0 & ([0,0,502]> ([0,2,8]/100)*[0,2,7] | ([0,3,504] & [0,0,502] > ([0,2,8]/100-0.02)*[0,2,7])))								NA	[0,3,4]	NA
505	Current3 Hi 2 Curr Alm			505		MA		([0,2,18]> 0 & ([0,0,502]> ([0,2,9]/100)*[0,2,7] | ([0,3,505] & [0,0,502] > ([0,2,9]/100-0.02)*[0,2,7])))								NA	[0,3,4]	NA
506	Current4 Hi 1 Curr Alm			506		MA		([0,2,19]> 0 & ([0,0,503]> ([0,2,11]/100)*[0,2,10] | ([0,3,506] & [0,0,503] > ([0,2,11]/100-0.02)*[0,2,10])))							NA	[0,3,4]	NA
507	Current4 Hi 2 Curr Alm			507		MA		([0,2,19]> 0 & ([0,0,503]> ([0,2,12]/100)*[0,2,10] | ([0,3,507] & [0,0,503] > ([0,2,12]/100-0.02)*[0,2,10])))							NA	[0,3,4]	NA
508	Current5 Hi 1 Curr Alm			508		MA		([0,2,20]> 0 & ([0,0,504]> ([0,2,14]/100)*[0,2,13] | ([0,3,508] & [0,0,504] > ([0,2,14]/100-0.02)*[0,2,13])))							NA	[0,3,4]	NA
509	Current5 Hi 2 Curr Alm			509		MA		([0,2,20]> 0 & ([0,0,504]> ([0,2,15]/100)*[0,2,13] | ([0,3,509] & [0,0,504] > ([0,2,15]/100-0.02)*[0,2,13])))							NA	[0,3,4]	NA

